# UpdateCompany

Update a company

`PUT /w9/companies/{id}`

**API:** Avalara 1099 & W-9 API Definition
**Tag:** Companies W9
**API Version:** 2.0
**Base URL:** https://api.sbx.avalara.com/avalara1099
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/avalara-1099-and-w9/api/methods/Companies%20W9/UpdateCompany/

## Description

Update a company.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | The ID of the company to update |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Content-Type:** `application/json`

**Content-Type:** `text/json`

**Content-Type:** `application/*+json`

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Updated company | `CompanyResponse` |
| 400 | Bad request (e.g., model validation failed) | `ErrorResponse` |
| 401 | Authentication failed |  |
| 404 | Company not found | `ErrorResponse` |

### 200 Response: `CompanyResponse`

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | string | No | Unique identifier set when the record is created. |
| `createdAt` | string | No | Date time when the record was created. |
| `updatedAt` | string | No | Date time when the record was last updated. |

## Example Request

```bash
curl -X PUT "https://api.sbx.avalara.com/avalara1099/w9/companies/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```